# $EPIC: ctcp_reply,v 1.5 2002/08/20 01:57:38 kitambi Exp $
Synopsis:
   on [<modes>]ctcp_reply [<serial#>] [-|^]<match> { <action> }

Description:
   This hook is triggered whenever the client receives a CTCP reply from
   another client.  Note that the client doesn't necessarily need to send
   any CTCP messages to receive a "reply".

Parameters:
   $0    nickname of user sending reply
   $1    target of CTCP command
   $2    CTCP command being replied to
   $3-   actual reply to CTCP command (varies, depends on $1)

Examples:
   To customize the appearance of CTCP reply strings:
      on ^ctcp_reply "*" {
         echo *** Reply from $0 for CTCP $1 request: $2-
      }

See Also:
   ctcp(1); on(5) ctcp

Restrictions:
   Automatic replies (MSGs, CTCPs, NOTICEs, etc.) to the sender with this
   hook are explicitly prohibited.  The protocol disallows it, and the
   client will do everything in its power to prevent it.  Any attempt will
   result in an error message.

Compatibility:
   This hook was recently changed, so that the $1 argument is now the
   actual target of the CTCP reply. This potentially breaks older scripts.
   This was changed in CVS at commit level 140, on 15 November 2001.
   All releases, development versions, and CVS non-releases before this
   date use the OLD format for this hook. All releases, snapshots, etc
   use the new format.  

Historical:
   There was no way (from within this hook) to know who the actual target
   of the reply is.  This could have been a problem, since it was trivial to
   send bogus replies, and there was no way to tell if the client, or a 
   channel, was the target.

